OpenTTD TruncateString() 缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1185906 漏洞类型 缓冲区溢出
发布时间 2008-08-10 更新时间 2009-03-18
CVE编号 CVE-2008-3576 CNNVD-ID CNNVD-200808-126
漏洞平台 N/A CVSS评分 10.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200808-126
|漏洞详情
Openttd是模仿TransportTycoon的开源游戏。Openttd0.6.2之前版本src/gfx.cpp中的TruncateStrin函数存在缓冲区溢出漏洞。远程攻击者通过特殊构造的字符串,触发缓冲区溢出,导致因守护进程崩溃而产生拒绝服务,也可能导致执行任意指令。
|参考资料

来源:XF
名称:openttd-truncatestring-bo(44168)
链接:http://xforce.iss.net/xforce/xfdb/44168
来源:BID
名称:30525
链接:http://www.securityfocus.com/bid/30525
来源:www.openttd.org
链接:http://www.openttd.org/index.php
来源:VUPEN
名称:ADV-2008-2285
链接:http://www.frsirt.com/english/advisories/2008/2285
来源:sourceforge.net
链接:http://sourceforge.net/project/shownotes.php?release_id=617243
来源:GENTOO
名称:GLSA-200903-09
链接:http://security.gentoo.org/glsa/glsa-200903-09.xml
来源:SECUNIA
名称:34161
链接:http://secunia.com/advisories/34161
来源:SECUNIA
名称:31350
链接:http://secunia.com/advisories/31350
来源:bugs.gentoo.org
链接:http://bugs.gentoo.org/show_bug.cgi?id=233929